"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var __1 = require("../");
var Select_md_1 = require("./README/Select.md");
react_1.storiesOf('Core/Select', module)
    .addDecorator(with_readme_1.default(Select_md_1.default))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { m: 3 },
            React.createElement(__1.Select, null,
                React.createElement("option", { value: 1 }, "Option 1"),
                React.createElement("option", { value: 2 }, "Option 2"),
                React.createElement("option", { value: 3 }, "Option 3")))));
})
    .add('Emphasized', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { m: 3 },
            React.createElement(__1.Select, { emphasized: true },
                React.createElement("option", { value: 1 }, "Option 1"),
                React.createElement("option", { value: 2 }, "Option 2"),
                React.createElement("option", { value: 3 }, "Option 3")))));
})
    .add('Disabled', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { m: 3 },
            React.createElement(__1.Select, { disabled: true },
                React.createElement("option", { value: 1 }, "Option 1"),
                React.createElement("option", { value: 2 }, "Option 2"),
                React.createElement("option", { value: 3 }, "Option 3")))));
});
